<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * @Package     CodeIgniter 2.1.3
 * @author      Carles Figuerola <cfiguerola0@uoc.edu> 
 * @copyright   Copyright (c) 2014, Carles Figuerola
 * @category    Models <02/04/2014>
 */
class Mconsultas extends CI_Model {

    public function __construct() {
        parent::__construct();
    }

    function closedb() {
        mssql_close($this->db->conn_id);
    }

    public function insert_Captcha($data){
        echo($data);
    }

    public function insert_data_sospita($data) {
        print_r($data);

        $this->db->insert('DT_SOSPITA', $data);
        $intID = $this->db->insert_id();

        if ($this->db->_error_number() == 0){
            return $intID;

        } else {
            echo $this->db->_error_number();  
            echo $this->db->_error_message();    
            print_r($data);    
            return false;
        }
    }

    public function  update_data_sospita($id)  {
        
        $data = array('SEGUIMENT_ID_SOSPITA' => $id);
        $this->db->where('ID_SOSPITA', $id);
        $this->db->update('DT_SOSPITA', $data);
        if ($this->db->_error_number() == 0){
            return true;
        } else {
            echo $this->db->_error_number();  
            echo $this->db->_error_message();    
            print_r($data);    
            return false;
        }
    }

    public function insert_data_sospita_refrel($data){

        $this->db->insert('DT_SOSPITA_REFREL',$data);
           if ($this->db->_error_number() == 0){
            return true;
        } else {
            echo $this->db->_error_number();  
            echo $this->db->_error_message();    
            print_r($data);    
            return false;
        }
    }

    public function insert_data_sospita_original($data) {

        $this->db->insert('DT_SOSPITA_ORIGINAL', $data);
        $intID = $data['ID_SOSPITA'];
        if ($this->db->_error_number() == 0){
           return true;
        } else {
            echo $this->db->_error_number();  
            echo $this->db->_error_message();    
            print_r($data);    
            return false;
        }
    }

    public function insert_data_sospita_farmac($data) {

        $this->db->insert('DT_SOSPITAFARMAC', $data);
        $intID = $data['ID_SOSPITA'];
        if ($this->db->_error_number() == 0){
            return true;
        } else {
            print_r($data);             
            echo $this->db->_error_number();  
            echo $this->db->_error_message();    
            return false;
        }
    }

    public function insert_data_sospita_reaccio($data) {

        $this->db->insert('DT_SOSPITAREACCIOADVERSA', $data);
        $intID = $data['ID_SOSPITA'];
        if ($this->db->_error_number() == 0){
            return true;
        } else {
            print_r($data);             
            echo $this->db->_error_number();  
            echo $this->db->_error_message();    
            return false;
        }
    }

    public function select_data_seguiment($data) {
        
        $intID = $data['ID_SOSPITA'];
        $codiss = $data['CODISS'];
        $email =  $data['EMAIL'];

        $query = $this->db->query("SELECT * FROM DT_SOSPITA WHERE SEGUIMENT_ID_SOSPITA = ".$intID." AND CODISS = '".$codiss."' AND EMAIL = '".$email."'");

        $result = null;

        if ($query->num_rows() > 0)
            {
                $result = $query->result();
            }
            $query->free_result();
        return $result;
    }



    public function select_pacient($data) { 

        $intID = $data['ID_SOSPITA'];
        $query = $this->db->query("SELECT SF.*, S.DATA FROM DT_SOSPITA S LEFT JOIN DT_SOSPITAFARMAC SF ON SF.ID_SOSPITA = S.ID_SOSPITA WHERE S.SEGUIMENT_ID_SOSPITA = ".$intID);      

        $farmacs = null;

        if ($query->num_rows() > 0)
            {
                $farmacs = $query->result();
            }
            $query->free_result();
        return $farmacs;
    }


    public function select_farmacs($data) { 

        $intID = $data['ID_SOSPITA'];
        $query = $this->db->query("SELECT SF.*, S.DATA FROM DT_SOSPITA S LEFT JOIN DT_SOSPITAFARMAC SF ON SF.ID_SOSPITA = S.ID_SOSPITA WHERE S.SEGUIMENT_ID_SOSPITA = ".$intID);      

        $farmacs = null;

        if ($query->num_rows() > 0)
            {
                $farmacs = $query->result();
            }
            $query->free_result();
        return $farmacs;
    }

    public function select_reaccions($data) { 
        
        $intID = $data['ID_SOSPITA'];
        $query = $this->db->query("SELECT SR.*, S.DATA FROM DT_SOSPITA S LEFT JOIN DT_SOSPITAREACCIOADVERSA SR ON SR.ID_SOSPITA = S.ID_SOSPITA WHERE S.SEGUIMENT_ID_SOSPITA = ".$intID);        

        $reaccions = null;

        if ($query->num_rows() > 0)
            {
                $reaccions = $query->result();
            }

            $query->free_result();
            
        return $reaccions;
    }

    function get_nnoti($sospita_ID) {
        $this->db->select('NNOTI');
        $this->db->from('DT_SOSPITA');
        $this->db->where('ID_SOSPITA = '.$sospita_ID);
        
        $query = $this->db->get();        
        $nnoti = null;

        if ($query->num_rows() > 0){
            $nnoti = $query->row('NNOTI');
        }
        return $nnoti;
    }
    
    function get_notificador($sospita_ID) {
        $this->db->select('ID_ASSIGNANOTIFICADOR');
        $this->db->from('DT_SOSPITA');
        $this->db->where('ID_SOSPITA = '.$sospita_ID);
        
        $query = $this->db->get();        
        $notificador = null;

        if ($query->num_rows() > 0){
            $notificador = $query->row('ID_ASSIGNANOTIFICADOR');
        }
        return $notificador;
    }   

    function get_dades_pacient_notificador($sospita_ID) {
        
        $query = $this->db->query("SELECT * FROM DT_SOSPITA WHERE ID_SOSPITA = ".$sospita_ID);

        $result = null;

        if ($query->num_rows() > 0){
            $result = $query->result();
        }
        $query->free_result();

        return $result;   
    } 
}

/* End of file mconsultastg.php */
/* Location: ./application/models/mconsultastg.php */

 
