<?php 
if($this->session->flashdata('dades')){
	$valors = $this->session->flashdata('dades');

	$data = $valors['data'];
	$id = $valors['id'];
	$codiss = $valors['codiss'];
	$email = $valors['email'];
	$farms_out = $valors['farms_out'];
	$reacs_out = $valors['reacs_out'];	
	$pacient_out = $valors['pacient_out'];
	$obs_out = $valors['obs_out'];
	$dades_notificador_out = $valors['dades_notificador_out'];	
	$notificador_out = $valors['notificador_out'];
	$tipus = $valors['tipus'];
} else {
	redirect('ctargeta/index','refresh');	
}
?> 

<div class="row noprint">
    <div class="col-md-12">
		<ul class="breadcrumb">  
			<li>  
				<a href="<?= base_url()?>" title="Inici" alt="Inici">Inici</a> <span class="divider">/</span> <a href="<?= base_url('ctargeta/notificar/?id=notificacio')?>" title="notificació" alt="notificació">notificació</a>
			</li>  
			<li>  
				formulari <?= $tipus?>
			</li>  
		</ul>  
	</div>
</div>
<div class="row">
	<div class="col-md-12 pad_bottom">
		<p>
			Notifiqueu, si us plau, les reaccions adverses als fàrmacs introduïts fa poc en el mercat.
			Notifiqueu, també, les reaccions greus o rares a altres fàrmacs. S'han de considerar com a
			medicaments les vacunes, els medicaments publicitaris, els radiofàrmacs, les plantes medicinals,
			les fórmules magistrals, els medicaments homeopàtics i els gasos medicinals. Per a les vacunes
			i altres medicaments biològics, indiqueu la marca, la presentació i el número de lot.
			<br /><br />
			<strong>No deixeu de notificar pel fet de desconèixer una part de la informació que us demanem.</strong>
		</p>
	</div>
</div>
<div class="row">
	<div class="col-md-12 marc color">
		<div class="row">
			<div class="col-md-12 subtitol">Formulari <?= $tipus?></div>
		</div>			
		<div class="row noprint">
			<div class="col-md-12">
				<hr />
			</div>
		</div>			
		<div class="row">
			<div class="col-md-12">
				<p class="pad_bottom">Data de notificació: <strong><?= $data?></strong></p>
				<p>
					Benvolgut/da company/a
					<br /><br />
					Moltes gràcies per participar en el Programa de Targeta Groga amb la notificació d'un cas de sospita de reacció adversa. La notificació d'efectes 
					indesitjats, per bé que ja siguin coneguts, permet conèixer millor el perfil de seguretat del fàrmac.
					<br /><br />
					Per mitjà d'aquest missatge et confirmem que hem rebut les dades <?=$tipus?> de la reacció adversa al Centre de Farmacovigilància i que correspon amb el nostre número de 
					referència <strong><?= $id?></strong>
				</p>
			</div>	
		</div>
		<div class="row clearfix">
			<div class="col-md-12 pad_bottom"><strong>Els següents camps són obligatoris en cas de realitzar un seguiment d'aquesta reacció adversa:</strong></div>			
			<div class="col-md-12  table-responsive">
				<table class="table">
					<tbody>
						<tr>
							<td><?= $dades_notificador_out?></td>
						</tr>
					</tbody>
				</table>	
			</div>	
			<div class="col-md-12 pad_bottom"><font color="red">(Per qualsevol aclarariment o seguiment de la notificació és imprescindible que ens faciliti el nº ID de la notificació)</font> </div>
			<!-- INICI  BOTÓ VEURE DADES//-->
			<div class="col-md-12 text-center noprint">
				<br />
				<?php 
				$btn_farmac=array('name'=>'btn_veure','type'=>'button','id'=>'btn_veure','title'=>'dades de notificació','alt'=>'dades de notificació','content'=>'<span class="glyphicon glyphicon-eye-open"></span>&nbsp;&nbsp;&nbsp;veure dades notificació','class' => 'btn btn-orange');
				echo form_button($btn_farmac); 
				?>
			</div>
			<!-- FINAL BOTÓ VEURE DADES//-->				
		</div>
		<div class="row">
			<div class="col-md-12"  id="dades" style="display:none;">
				<p>
				<div class="col-md-12"><hr /></div>
				<div class="col-md-12 bold">PACIENT</div>					
				<div class="col-md-12 table-responsive">
					<table class="table table-striped">
						<tbody>
							<tr>
								<td><?= $pacient_out?></td>
							</tr>
						</tbody>
					</table>					
				</div>	
				<?php if($farms_out != ''){?>				
				<div class="col-md-12"><hr /></div>
				<div class="col-md-12 bold">FÀRMACS</div>
				<div class="col-md-12 table-responsive">
					<table class="table table-striped">
						<tbody>
							<tr>
								<td><?= $farms_out?></td>
							</tr>
						</tbody>
					</table>					
				</div>
				<?php } if($reacs_out != ''){?>
				<div class="col-md-12"><hr /></div>				
				<div class="col-md-12 bold">REACCIONS</div>
				<div class="col-md-12 table-responsive">
					<table class="table table-striped">
						<tbody>
							<tr>
								<td><?= $reacs_out?></td>
							</tr>
						</tbody>
					</table>					
				</div>
				<?php } if($obs_out != ''){?>
				<div class="col-md-12"><hr /></div>				
				<div class="col-md-12 bold">OBSERVACIONS</div>
				<div class="col-md-12 table-responsive">
					<table class="table table-striped">
						<tbody>
							<tr>
								<td><?= $obs_out?></td>
							</tr>	
						</tbody>
					</table>					
				</div>
				<?php } ?>	
				<div class="col-md-12"><hr /></div>				
				<div class="col-md-12 bold">NOTIFICADOR</div>							
				<div class="col-md-12 table-responsive">
					<table class="table table-striped">
						<tbody>
							<tr>
								<td><?= $notificador_out?></td>
							</tr>
						</tbody>
					</table>					
				</div>
				<div class="col-md-12"><hr /></div>								
				</p>					
			</div>
		
				

		</div>
		<div class="row">		
			<div class="col-md-12 text-center noprint">
				<!-- INICI BOTÓ PRINT //-->
					<?php 
					$btn_farmac=array('name'=>'btn_print','type'=>'button','id'=>'btn_print','title'=>'Imprimir','alt'=>'Imprimir','content'=>'<span class="glyphicon glyphicon-print"></span>&nbsp;&nbsp;&nbsp;Imprimir','class' => 'btn btn-orange', 'style'=>'display:none;' ,'onclick'=>'window.print();');
					echo form_button($btn_farmac); 
					?>			
					<br /><br />
				<!-- FINAL BOTÓ PRINT //-->							
			</div>	
		</div>		
		<div class="row">
			<div class="col-md-12">		
				<p>	
					Si necessitem més informació sobre algun aspecte del cas per tal de facilitar la seva avaluació, ens posarem en contacte amb tu.
					<br />
					Per qualsevol consulta relacionada amb qüestions de terapèutica pots contactar amb nosaltres al telèfon 93 489 41 05.
					<br /><br />					
				</p>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12">
				<p class="pad_bottom">
					Atentament,<br />
					Targeta Groga<br />
					Centre de Farmacovigilància de Catalunya<br />					
				</p>	
			</div>
		</div>

		<div class="row noprint">
			<div class="col-md-12">
				<p class="pad_bottom text-center">
					<a href="<?= base_url()?>" title="Tornar" alt="Tornar"><strong>Tornar</strong></a>
				</p>		
			</div>
		</div>
	</div>
</div>
