<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> 
<html class="no-js"> 
<!--<![endif]-->

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"/>
    <title><?= $title ?></title>
    <meta name="description" content="" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0,maximum‐scale=1, minimum-scale=1;">
    
    <!-- jQuery core i ui //-->
    <script type="text/javascript" src="<?= base_url('assets/js/jquery-1.8.2.js'); ?>"></script>
    <script type="text/javascript" src="<?= base_url('assets/js/jquery-ui.js'); ?>"></script>
    <!-- jQuery core i ui //-->

    <script type="text/javascript" src="<?= base_url('assets/js/css_browser_selector.js'); ?>"></script>

    <!-- llibreries opcionals de suport HTML5 per a IE8 -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script type='text/javascript' src="//cdnjs.cloudflare.com/ajax/libs/respond.js/1.4.2/respond.js"></script>
    <![endif]-->

    <script type="text/javascript" src="<?= base_url('assets/js/css3-mediaqueries.js'); ?>"></script>
    <script type="text/javascript" src="<?= base_url('assets/js/css3-modernizr.js'); ?>"></script>   
    
    <!-- jQuery específic bootstrap //-->
    <script type="text/javascript"  src="<?= base_url('assets/js/bootstrap.min.js'); ?>"></script>
    <!-- jQuery específic bootstrap //-->    


    <?php 
    $navegador = $this->agent->browser();
    $version = $this->agent->version();
    if($this->agent->is_browser('Internet Explorer') && $version == '8.0') { 
        ?> 
        <script type="text/javascript"  src="<?= base_url('assets/js/non-responsive-bootstrap.js'); ?>"></script>
        <?php 
    } 
    ?>
    

    
    <!-- jQuery-cookies //-->
    <script type="text/javascript" src="<?= base_url('assets/js/jquery.cookie.js'); ?>"></script>  
    <script type="text/javascript" src="<?= base_url('assets/js/jquery.cookiecuttr.js'); ?>"></script>
    <!-- jQuery-cookies //-->
  
    <!-- jQuery funcionalitat de la Targeta Groga //-->
    <script type="text/javascript" src="<?= base_url('assets/js/targeta.js'); ?>"></script>
    <script type="text/javascript" src="<?= base_url('assets/js/select2.js'); ?>"></script>    
    <!-- jQuery funcionalitat de la Targeta Groga //-->    
  

    <!-- CSS //-->    
    <link rel="shortcut icon" href="<?= base_url('assets/img/favicon.ico'); ?>" />
    <link rel="stylesheet" type="text/css" href="<?= base_url('assets/css/targeta.css'); ?>">    
    <link rel="stylesheet" type="text/css" href="<?= base_url('assets/css/bootstrap.css'); ?>">
    <link rel="stylesheet" type="text/css" href="<?= base_url('assets/css/bootstrap-glyphicons.css'); ?>">
    <link rel="stylesheet" type="text/css" href="<?= base_url('assets/css/normalize.css'); ?>">
    <link rel="stylesheet" type="text/css" href="<?= base_url('assets/css/jquery-ui.css'); ?>">
    <link rel="stylesheet" type="text/css" href="<?= base_url('assets/css/select2.css'); ?>">
    <!-- CSS //-->    

</head>    
<body>
    <div class="container">
        <header>
           <?= $this->load->view('includes/header'); ?>
        </header>
        <article>
            <?= $this->load->view($main_content); ?>
        </article>
        <footer>
            <?= $this->load->view('includes/footer'); ?>
        </footer>
    </div>
    <!--
    <script>
    (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
      (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
      m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-19841076-4', 'targetagroga.cat');
  ga('send', 'pageview');

  </script>
  //-->
</body>
</html>
