<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * @Package     CodeIgniter 2.1.3
 * @author      Carles Figuerola <cfiguerola0@uoc.edu> 
 * @copyright   Copyright (c) 2014, Carles Figuerola
 * @category    Models <02/04/2014>
 */
class Mcaptcha extends CI_Model {

    public function __construct() {
        parent::__construct();
    }
	
    // INSERT nou CAPTCHA a la Base de Dades    
    public function insertCaptcha($data){
    	$this->db->insert('DT_CAPTCHA',$data);
    	if ($this->db->_error_number() ==0){
    		return true;
    	} else{
    		echo $this->db->_error_number();
    		echo $this->db->_error_message();
    		print_r($data);
    		return false;
    	}
    } 

    // DELETE CAPTCHA una vegada ha expirat 
    function deleteCaptcha($expiration){
    	$this->db->query("DELETE FROM DT_CAPTCHA WHERE CAPTCHA_TIME < ".$expiration);
    }   

    // verifica si existeix el CAPTCHA i el fem servir de validació al controlador
    function captchaExist($binds){
    	$sql = "SELECT COUNT(*) AS count FROM DT_CAPTCHA WHERE WORD = ? AND IP_ADDRESS = ? AND CAPTCHA_TIME > ?";
    	$query = $this->db->query($sql,$binds);
    	$row = $query->row();

        if($row->count == 0){
            $this->form_validation->set_message('captcha_check','El codi CAPTCHA no coincideix');
            return false;
        } else {
            return true;
        }
    }        
}